MKRULER(1)

NAME
mkruler - make a function key strip ruler

SYNOPSIS
mkruler [-n number] name

DESCRIPTION
mkruler produces a description of a function key strip for the Archimedes A440 keyboard which may be printed on a PostScript printer. The output is produced on stdout (stream 1) while error messages and prompts are produced on stderr (stream 2). The program reads input from stdin to define the legends on the key strip. The output PostScript produces four strips on a single sheet of A4 paper.

If stdin does not come from a tty no prompts are produced. The input must consist of the title of the ruler (if one has not been given on the command line) followed by thirteen lines of input (the tag for the line then twelve function key legends) for each of up to six lines on the function key strip.

OPTIONS
mkruler accepts only one option and one argument. The argument is the name (the title) of the function key strip.

-n number
    Specifies the number of lines on the function key strip. The lines are entered from the bottom up. Any lines not given are left blank.

EXAMPLES
The normal interactive use of mkruler is as follows:

    mkruler ruler-title >ruler.ps

This produces a file “ruler.ps” containing the PostScript to produce a ruler titled “ruler-title”. The output may be sent directly to the printer:

    mkruler ruler-title | lpr -PPostScript

To produce a completely blank ruler:

    mkruler ruler-title </dev/null | lpr -PPostScript

To read a ruler description from a file (the input file contains thirteen lines per row as described above):

    mkruler ruler-title <ruler.txt | lpr -PPostScript

The output from mkruler can be editted directly if required - this requires a reasonable understanding of PostScript (although the output is commented). This can be used (for example) to change the background for the top two lines from black to white.

AUTHORS
JB, Acorn Computers Ltd 1988